package com.atmob.map_amap_android.bean;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

public class MapPadding {

    @SerializedName("left")
    public float left;

    @SerializedName("top")
    public float top;

    @SerializedName("right")
    public float right;

    @SerializedName("bottom")
    public float bottom;

    public MapPadding(float left, float top, float right, float bottom) {
        this.left = left;
        this.top = top;
        this.right = right;
        this.bottom = bottom;
    }

    public float getBottom() {
        return bottom;
    }

    public void setBottom(float bottom) {
        this.bottom = bottom;
    }

    public float getLeft() {
        return left;
    }

    public void setLeft(float left) {
        this.left = left;
    }

    public float getRight() {
        return right;
    }

    public void setRight(float right) {
        this.right = right;
    }

    public float getTop() {
        return top;
    }

    public void setTop(float top) {
        this.top = top;
    }

    @NonNull
    @Override
    public String toString() {
        return "MapPadding{" +
                "left=" + left +
                ", top=" + top +
                ", right=" + right +
                ", bottom=" + bottom +
                '}';
    }
}
